Core - Bug # 61295

Status: Resolved Priority: Should have

Author: Bernhard Kraft Category: File Abstraction Layer (FAL)
Created: 2014-09-01 Assigned To:

Updated: 2014-09-19 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity: no-brainer

Is Regression: No

Sprint Focus:

Subject: calculateBasePath of LocalDriver does not properly sanitize value

Description

The method "calculateBasePath" of Resource/Driver/LocalDriver.php does not properly sanitize the passed value. It misses to use the

return value of "canonicalizeAndCheckFilePath".

This would result in problems when using "/fileadmin/" as "Base path" in a sys_file_storage record being set to "relative".

It would also not remove the "/../" of a sys_file_storage base path like "/var/www/mysite/fileadmin/../../somewhereelse/" when being

set to absolute.

Patch with unit tests sent to gerrit.

Related issues:

related to Core - Task # 36420: Filemount in local file system (not on webser... Resolved 2012-04-22

Associated revisions

Revision 0d5a3c03 - 2014-09-19 16:26 - Bernhard Kraft

[BUGFIX] LocalDriver->calculateBasePath doesn't properly sanitize

The method "calculateBasePath" of Resource/Driver/LocalDriver.php

does not properly sanitize the passed value.

It misses to use the return value of "canonicalizeAndCheckFilePath".

Change-Id: 18f2561e4a3b432d869ba7931f3ce5877714699c0
Resolves: #61295

Releases: 6.3, 6.2

Reviewed-on: http://review.typo3.org/32548

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Frans Saris <franssaris@gmail.com>

Tested-by: Frans Saris <franssaris@gmail.com>

Revision 80aabffe - 2014-09-21 00:22 - Bernhard Kraft

[BUGFIX] LocalDriver->calculateBasePath doesn't properly sanitize

The method "calculateBasePath" of Resource/Driver/LocalDriver.php
does not properly sanitize the passed value.
It misses to use the return value of "canonicalizeAndCheckFilePath".

Change-Id: 18f2561e4a3b432d869ba7931f3ce5877714699c0
Resolves: #61295

Releases: 6.3, 6.2

Reviewed-on: http://review.typo3.org/32548

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Frans Saris <franssaris@gmail.com>

Tested-by: Frans Saris <franssaris@gmail.com>

(cherry picked from commit 0d5a3c0379d5fc6¢c208cf267b8b23993cd2b6a55)
Reviewed-on: http://review.typo3.0rg/32889

Reviewed-by: Stefan Froemken <froemken@gmail.com>
Tested-by: Stefan Froemken <froemken@gmail.com>

Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

History

#1 - 2014-09-01 15:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32548

#2 - 2014-09-01 16:08 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32548

#3 - 2014-09-01 16:08 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32548

#4 - 2014-09-01 16:38 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32548

#5 - 2014-09-19 10:50 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32548

#6 - 2014-09-19 16:26 - Gerrit Code Review
Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32889

#7 - 2014-09-19 16:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:0d5a3c0379d5fc6¢c208cf267b8b23993cd2b6a55.
